Skip to main content
GET
/
ai-agents
/
agent-builder
/
agents
/
{uid}
/
enabled-items
List Agent Tools and Actions
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/enabled-items \
  --header 'apikey: <api-key>'
{
  "data": {
    "tools": [
      {
        "slug": "gmail",
        "name": "Gmail",
        "description": "Gmail integration",
        "icon": "https://example.com/gmail-icon.png",
        "actions": [
          {
            "slug": "GMAIL_SEND_EMAIL",
            "name": "Send Email",
            "description": "Send an email via Gmail"
          }
        ]
      }
    ],
    "frontendActions": [
      {
        "id": "myapp_onUserClick",
        "name": "User Click Action",
        "description": "Triggered when a user clicks a button",
        "triggerFunction": "onUserClick",
        "parameters": [
          {
            "key": "userId",
            "type": "string",
            "description": "The user identifier",
            "required": true
          }
        ]
      }
    ],
    "apiTools": [
      {
        "slug": "my-api-tool",
        "name": "My API Tool",
        "description": "Calls an external API",
        "icon": "https://example.com/icon.png",
        "endpoint": "https://api.example.com/search",
        "method": "GET",
        "parameters": [
          {
            "key": "query",
            "type": "string",
            "description": "The search query",
            "required": true
          }
        ]
      }
    ],
    "mcpServers": [
      {
        "slug": "my-mcp-server",
        "name": "My MCP Server",
        "description": "A Model Context Protocol server",
        "icon": "https://example.com/icon.png",
        "url": "https://mcp.example.com/sse"
      }
    ]
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

Unique identifier of the agent

Query Parameters

tools
boolean
default:true

Include enabled tools (default: true)

frontendActions
boolean
default:true

Include enabled frontend actions (default: true)

apiTools
boolean
default:true

Include enabled API tools (default: true)

mcpServers
boolean
default:true

Include enabled MCP servers (default: true)

key
string

Search term to filter by name/description

Response

200 - application/json

Categorized enabled items for the agent

data
object